dbXML API

## org.xmldb.api.tests
Class CollectionTest

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--org.xmldb.api.tests.XMLDBTestCase
                        |
                        +--org.xmldb.api.tests.CollectionTest

All Implemented Interfaces:
  junit.framework.Test

public class CollectionTest
extends XMLDBTestCase

Constructor Summary
`CollectionTest(java.lang.String name)`

Method Summary
`static junit.framework.Test` `suite()`
`void` `testCreateResource()`
`void` `testGetChildCollection()`
`void` `testGetChildCollectionCount()`
`void` `testGetName()`
`void` `testGetParentCollection()`
`void` `testGetResource()`
`void` `testGetResourceCount()`
`void` `testListChildCollections()`
`void` `testListResources()`
`void` `testRemoveResource()`
`void` `testStoreResource()`
`void` `testStub()`
`void` `testXPathQueryService()`

Methods inherited from class org.xmldb.api.tests.XMLDBTestCase
`setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionTest

    public CollectionTest(java.lang.String name)

Method Detail

### suite

    public static junit.framework.Test suite()

### testGetName

    public void testGetName()

### testGetParentCollection

    public void testGetParentCollection()

### testGetChildCollectionCount

    public void testGetChildCollectionCount()

### testListChildCollections

    public void testListChildCollections()

### testGetChildCollection

    public void testGetChildCollection()

### testGetResourceCount

    public void testGetResourceCount()

### testListResources

    public void testListResources()

### testCreateResource

    public void testCreateResource()

### testStoreResource

    public void testStoreResource()

### testRemoveResource

    public void testRemoveResource()

### testGetResource

    public void testGetResource()

### testXPathQueryService

    public void testXPathQueryService()

### testStub

    public void testStub()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved